Bug 845379 - Review Request: eclipse-swtbot - UI and functional testing tool for SWT and Eclipse based applications
Review Request: eclipse-swtbot - UI and functional testing tool for SWT and E...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Roland Grunberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 17:17 EDT by Alexander Kurtakov
Modified: 2012-10-03 13:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-03 13:40:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rgrunber: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alexander Kurtakov 2012-08-02 17:17:26 EDT
Spec URL: http://fedorapeople.org/~akurtakov/eclipse-swtbot.spec
SRPM URL: http://fedorapeople.org/~akurtakov/eclipse-swtbot-2.0.5-1.gita95f41b7ae6d7790dab36bca982d4b833fd2662d.fc17.src.rpm
Description: SWTBot is a Java based UI/functional testing tool for testing SWT and Eclipse based applications. SWTBot provides APIs that are simple to read and write. The APIs also hide the complexities involved with SWT and Eclipse. This makes it suitable for UI/functional testing by everyone, not just developers.
Fedora Account System Username: akurtakov
Comment 1 Roland Grunberg 2012-08-03 10:25:43 EDT
Note : I've used the Java package review template as a guide, and ignored some issues where they clear don't apply, as well as consulting the package review guide for Eclipse plugins.

Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[!]  Rpmlint output:
eclipse-swtbot.src: I: enchant-dictionary-not-found en_US
eclipse-swtbot.src: E: description-line-too-long C SWTBot is a Java based UI/functional testing tool for testing SWT and Eclipse based applications.
eclipse-swtbot.src: E: description-line-too-long C SWTBot provides APIs that are simple to read and write. The APIs also hide the complexities
eclipse-swtbot.src: E: description-line-too-long C involved with SWT and Eclipse. This makes it suitable for UI/functional testing by everyone, not just developers.
1 packages and 0 specfiles checked; 3 errors, 0 warnings.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[!]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: EPL
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[-]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
sha256sum this package    : 5dffc107eba4e0ab1ac11e001d1649f00647471e0dab95866f591064f9a26ff1
sha256sum upstream package: 5dffc107eba4e0ab1ac11e001d1649f00647471e0dab95866f591064f9a26ff1
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[-]  Javadoc documentation files are generated and included in -javadoc subpackage
[-]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[-]  Packages have proper BuildRequires/Requires on jpackage-utils
[-]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[!]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[-]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[-]  If package contains pom.xml files install it (including depmaps) even when building with ant
[-]  pom files has correct add_maven_depmap

=== Maven ===
[-]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.

Tested on:
fedora-rawhide-i386
Also run with /usr/bin/fedora-review -n eclipse-swtbot -m fedora-rawhide-i386

=== Issues ===
1.[!]  If source tarball includes bundled jar/class files these need to be removed prior to building

Source includes jars in org.eclipse.swtbot.releng/externals/plugins. According to Java, and General guidelines they should be removed, but the Eclipse guidelines allow for this (http://fedoraproject.org/wiki/Packaging:EclipsePlugins#Pre-built_binaries) as long as the jars are already distributed in Fedora and the pre-built jars are not shipped. If the guidelines are correct, and since the package meets them, then this should be fine.

2.[!]  Rpmlint output

The description line should be fixed so each line is under 80 characters.

=== Final Notes ===

1. Would it be possible to shorten the release field? The only reference in version guidelines is to the usage of "YYYYMMDDgit${sha}", where ${sha} is optional, but at most 13 characters where used.
Comment 3 Roland Grunberg 2012-08-07 14:21:11 EDT
[x] If source tarball includes bundled jar/class files these need to be removed prior to building
[x] Rpmlint output :
eclipse-swtbot.src: I: enchant-dictionary-not-found en_US
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

All issues have been addressed.

================
*** APPROVED ***
================
Comment 4 Alexander Kurtakov 2012-08-08 01:39:29 EDT
New Package SCM Request
=======================
Package Name: eclipse-swtbot
Short Description: UI and functional testing tool for SWT and Eclipse based applications
Owners: akurtakov
Branches: f17
InitialCC:
Comment 5 Alexander Kurtakov 2012-08-08 05:51:10 EDT
ah f18 has branched

New Package SCM Request
=======================
Package Name: eclipse-swtbot
Short Description: UI and functional testing tool for SWT and Eclipse based applications
Owners: akurtakov
Branches: f17 f18
InitialCC:
Comment 6 Gwyn Ciesla 2012-08-08 08:28:29 EDT
Git done (by process-git-requests).
Comment 7 Roland Grunberg 2012-10-03 13:40:01 EDT
This has been built for rawhide and f18. Closing as NEXTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.